package com.sunxung.factoring.entity.fundmanagement;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description :合作概况
 * @author LIUTAO
 * @Date: 2023-02-17
 */
public class OverviewOfCooperation {

    /**
     * 机构名称
     */
    private String institutionName;

    /**
     * 业务类型
     */
    private String businessType;

    /**
     * 适用产品
     */
    private String cooperationProduct;

    /**
     * 客户经理
     */
    private String manager;

    /**
     * 授信生效日
     */
    private Date creditEffectiveDate;

    /**
     * 授信到期日
     */
    private Date creditExpiryDate;

    /**
     * 授信金额
     */
    private BigDecimal creditAmount;

    /**
     * 用信金额
     */
    private BigDecimal useCreditAmount;

    /**
     * 可用金额
     */
    private BigDecimal availableAmount;

    /**
     * 授信状态 待生效 生效中,已过期,已作废
     */
    private String creditStatus;

    /**
     * 币种
     * @return
     */
    private String currency;

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getInstitutionName() {
        return institutionName;
    }

    public void setInstitutionName(String institutionName) {
        this.institutionName = institutionName;
    }

    public String getBusinessType() {
        return businessType;
    }

    public void setBusinessType(String businessType) {
        this.businessType = businessType;
    }

    public String getCooperationProduct() {
        return cooperationProduct;
    }

    public void setCooperationProduct(String cooperationProduct) {
        this.cooperationProduct = cooperationProduct;
    }

    public String getManager() {
        return manager;
    }

    public void setManager(String manager) {
        this.manager = manager;
    }

    public Date getCreditEffectiveDate() {
        return creditEffectiveDate;
    }

    public void setCreditEffectiveDate(Date creditEffectiveDate) {
        this.creditEffectiveDate = creditEffectiveDate;
    }

    public Date getCreditExpiryDate() {
        return creditExpiryDate;
    }

    public void setCreditExpiryDate(Date creditExpiryDate) {
        this.creditExpiryDate = creditExpiryDate;
    }

    public BigDecimal getCreditAmount() {
        return creditAmount;
    }

    public void setCreditAmount(BigDecimal creditAmount) {
        this.creditAmount = creditAmount;
    }

    public BigDecimal getUseCreditAmount() {
        return useCreditAmount;
    }

    public void setUseCreditAmount(BigDecimal useCreditAmount) {
        this.useCreditAmount = useCreditAmount;
    }

    public BigDecimal getAvailableAmount() {
        return availableAmount;
    }

    public void setAvailableAmount(BigDecimal availableAmount) {
        this.availableAmount = availableAmount;
    }

    public String getCreditStatus() {
        return creditStatus;
    }

    public void setCreditStatus(String creditStatus) {
        this.creditStatus = creditStatus;
    }
}
